petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMalloc1

Allocates an array of memory aligned to PETSC_MEMALIGN

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscMalloc1(size_t m1,type **r1)

Not Collective Many br

### Input Parameter

m1 -number of elements to allocate in 1st chunk (may be zero) Many br

### Output Parameter

r1 -memory allocated in first chunk Many br

Many br

### See Also

PetscFree(), PetscNew(), PetscMalloc(), PetscCalloc1(), PetscMalloc2()

Level:developer
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex6.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/is/is/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex5.c.html
src/mat/examples/tutorials/ex10.c.html
src/mat/examples/tutorials/ex11.c.html